﻿using CoreLibrary.Joueurs;

namespace CoreLibrary.Evenements
{
    /// <summary>
    /// Classe contenant les arguments passés en paramètres lors de l'événement JoueurSeConnecter.
    /// </summary>
    public class JoueurSeConnecterEventArgs : EventArgs
    {
        public Joueur Joueur { get; private init; }

        public JoueurSeConnecterEventArgs(Joueur joueur)
        {
            Joueur = joueur;
        }
    }
}
