using CoreLibrary.Core;
using MauiSpark.Convertisseurs;
using System.Globalization;

namespace MauiSpark.Vues;

public partial class IndicateurVue : ContentView
{
    public static readonly BindableProperty CouleurProperty = BindableProperty.Create(nameof(Couleur), typeof(Color), typeof(IndicateurVue), default(Color));

	public Color Couleur
	{
        get => (Color)GetValue(CouleurProperty);

        set => SetValue(CouleurProperty, value);
    }
	public IndicateurVue()
	{
		InitializeComponent();
        BindingContext = this;
	}

    private void QuandTailleChangee(object sender, EventArgs e)
    {
        double taille = Math.Min(Grid.Width, Grid.Height) / 2;
        Carre.WidthRequest = Carre.HeightRequest = taille;
    }
}